REM =====================================
REM Batch pour la compilation des sources
REM Sortie: ../exec/Merja.jar
REM =====================================

cls
javac merja/associations/itemFreq/GeneItems.java
javac merja/associations/itemFreq/IdItemSupport.java
javac merja/associations/itemFreq/NoeudItem.java

javac merja/associations/regles/GeneRegles.java
javac merja/associations/regles/Regle.java
javac merja/associations/regles/NoeudRegles.java

javac merja/associations/Item.java
javac merja/associations/Hash.java
javac merja/associations/Transaction.java
javac merja/associations/AlgoInterface.java

javac merja/data/TransactionsReader.java
javac merja/data/CsvLoader.java
javac merja/data/ArffLoader.java

javac merja/images/Icons.java

javac merja/gui/actions/MerjaAction.java
javac merja/gui/actions/ActionAbout.java
javac merja/gui/actions/ActionAssociation.java
javac merja/gui/actions/ActionDelete.java
javac merja/gui/actions/ActionItemsets.java
javac merja/gui/actions/ActionOpen.java
javac merja/gui/actions/ActionStop.java

javac merja/gui/AboutDialog.java
javac merja/gui/AssociationRulesPanel.java
javac merja/gui/DataPanel.java
javac merja/gui/ExampleFileFilter.java
javac merja/gui/FileDBPanel.java
javac merja/gui/ItemsetsPanel.java
javac merja/gui/ItemsTableModel.java
javac merja/gui/Logger.java
javac merja/gui/LogPanel.java
javac merja/gui/LogTextArea.java
javac merja/gui/MerjaFrame.java
javac merja/gui/MerjaMetalTheme.java
javac merja/gui/MerjaTabbedPane.java
javac merja/gui/MerjaToolBar.java
javac merja/gui/RolloverButton.java
javac merja/gui/TaskLogger.java
javac merja/gui/TaskMonitor.java

javac merja/Chrono.java
javac merja/Merja.java
javac merja/Utilities.java

jar cvfm ../exec/Merja.jar META-INF/MANIFEST.MF merja\associations\*.class merja\associations\itemFreq\*.class merja\associations\regles\*.class merja\data\*.class merja\images\*.class merja\images\*.gif merja\gui\*.class merja\gui\actions\*.class merja\*.class