/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *  ActionOpen.java
 *  2003-2004 Darnet Camille, Vouriot Thierry
 *  camsss@ifrance.com, yeri@fr.st
 *  http://www.yeri.fr.st
 *
 */
package merja.gui.actions;

import javax.swing.*;
import merja.*;
import merja.associations.*;

/** Class grant l'action "open"
 */
public class ActionOpen extends MerjaAction {
    
    
    /** Constructeur
     */
    public ActionOpen() {
        super("open");
    }
    
    /** Action qui ouvre un fichier
     * @param actionEvent vnement gnrant l'action
     */
    public void actionPerformed(java.awt.event.ActionEvent actionEvent) {
        System.out.println("Action: " + m_name);
        m_frame.setTabPanel(m_frame.getFileDBPanel());
        
        m_frame.getFileDBPanel().open();
    }
}
